/*
   Class Name:

      CGLFont.

   Created by:

      Allen Sherrod (Programming Ace of www.UltimateGameProgramming.com).

   Description:

      This class will allow us to print text to the screen in OpenGL.
*/


#ifndef _FONT_H
#define _FONT_H


class CGLFont
{
   public:
      CGLFont();                                                     // Constructor.
      ~CGLFont();                                                    // Destructor.

      bool Initialize(HDC hDC, int Size, char *fontName);            // Initialize font.
      bool PrintText(char *string, float x, float y);                // Print the text.
      void SetWidthHeight(int w, int h);                             // Set the window size.
      void ClearGLFont();                                            // Delete font.

   protected:
      unsigned int InitFont(char *fontName, int fontSize, HDC hDC);  // Initialize list of text.

   protected:
      unsigned int listBase;                                         // Store font.
      int Width, Height;                                             // Window width and height.
};

#endif


// Copyright September 2003
// All Rights Reserved!
// Allen Sherrod
// ProgrammingAce@UltimateGameProgramming.com
// www.UltimateGameProgramming.com